%define debug_package %{nil}
%define product_family CentOS-Stream
%define base_release_version 8
%define full_release_version 8
%define dist_release_version 8
%define upstream_rel_long 8.1-0
%define upstream_rel 8.1
%define centos_rel 1.1911
#define beta Beta
%define dist .el%{dist_release_version}

# The anaconda scripts in %{_libexecdir} can create false requirements
%global __requires_exclude_from %{_libexecdir}

Name:           centos-release-stream
Version:        %{upstream_rel}
Release:        %{centos_rel}.0.2%{?dist}
Summary:        %{product_family} release file
Group:          System Environment/Base
License:        GPLv2

%define pkg_name %{name}

Provides:       centos-release-stream = %{version}-%{release}
Requires:       centos-release = %{version}-%{release}

Source300:      CentOS-Stream-Base.repo
Source302:      CentOS-Stream-Debuginfo.repo
Source303:      CentOS-Stream-Extras.repo
Source305:      CentOS-Stream-Media.repo
Source306:      CentOS-Stream-Sources.repo
Source307:      CentOS-Stream-Vault.repo
Source308:      CentOS-Stream-AppStream.repo
Source309:      CentOS-Stream-PowerTools.repo
Source310:      CentOS-Stream-centosplus.repo

%ifarch %{arm}
%description -n %{pkg_name}
%{product_family} release files
%endif

%description
%{product_family} release files

%prep
echo OK

%build
echo OK

%install
rm -rf %{buildroot}

# create /etc
mkdir -p %{buildroot}/etc

# copy yum repos
mkdir -p -m 755 %{buildroot}/etc/yum.repos.d
install -m 644 %{SOURCE300} %{buildroot}/etc/yum.repos.d
install -m 644 %{SOURCE302} %{buildroot}/etc/yum.repos.d
install -m 644 %{SOURCE303} %{buildroot}/etc/yum.repos.d
install -m 644 %{SOURCE305} %{buildroot}/etc/yum.repos.d
install -m 644 %{SOURCE306} %{buildroot}/etc/yum.repos.d
install -m 644 %{SOURCE307} %{buildroot}/etc/yum.repos.d
install -m 644 %{SOURCE308} %{buildroot}/etc/yum.repos.d
install -m 644 %{SOURCE309} %{buildroot}/etc/yum.repos.d
install -m 644 %{SOURCE310} %{buildroot}/etc/yum.repos.d

mkdir -p -m 755 %{buildroot}/etc/dnf/vars
echo "%{base_release_version}-stream" > %{buildroot}/etc/dnf/vars/stream

%clean
rm -rf %{buildroot}

%files -n %{pkg_name}
%defattr(0644,root,root,0755)
%config(noreplace) /etc/yum.repos.d/*
%config(noreplace) /etc/dnf/vars/*

%changelog
* Fri Dec 06 2019 bstinson@centosproject.org - -.0.1
- Update for 8.1

* Mon Oct 14 2019 Fabian Arrotin <arrfab@centos.org> 8.0-0.1905.0.9.el8
- Switched to mirrorlist instead of baseurl for 8-stream

* Thu Sep 20 2019 Brian Stinson <bstinson@centosproject.org> 8-0.el8
- First build of centos-release-stream
